# Class TaintableLocatorImpl

java.lang.Object
nu.validator.htmlparser.impl.LocatorImpl
nu.validator.htmlparser.impl.TaintableLocatorImpl

All Implemented Interfaces:
  `Locator2, Locator`

public class TaintableLocatorImpl extends LocatorImpl

## Constructor Summary

Constructors
Constructor
Description
`TaintableLocatorImpl(Locator locator)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTainted()`
`void`
`markTainted()`

### Methods inherited from class LocatorImpl

`getColumnNumber, getEncoding, getLineNumber, getPublicId, getSystemId, getXMLVersion`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TaintableLocatorImpl

public TaintableLocatorImpl(Locator locator)

## Method Details

### markTainted

public void markTainted()

### isTainted

public boolean isTainted()